r11082 - in /packages/unstable/leafpad/debian: changelog postinst prerm

svena-guest at users.alioth.debian.org svena-guest at users.alioth.debian.org
Sun May 20 14:50:32 UTC 2007


Author: svena-guest
Date: Sun May 20 14:50:32 2007
New Revision: 11082

URL: http://svn.debian.org/wsvn/pkg-gnome/?sc=1&rev=11082
Log:
* Register as gnome-text-editor in the alternatives system;
  thanks roktas. (Closes: #418296)

Added:
    packages/unstable/leafpad/debian/postinst
    packages/unstable/leafpad/debian/prerm
Modified:
    packages/unstable/leafpad/debian/changelog

Modified: packages/unstable/leafpad/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/leafpad/debian/changelog?rev=11082&op=diff
==============================================================================
--- packages/unstable/leafpad/debian/changelog (original)
+++ packages/unstable/leafpad/debian/changelog Sun May 20 14:50:32 2007
@@ -1,8 +1,13 @@
 leafpad (0.8.9-3) UNRELEASED; urgency=low
 
+  [ Loic Minier ]
   * Add a get-orig-source target to retrieve the upstream tarball.
 
- -- Loic Minier <lool at dooz.org>  Sun, 14 Jan 2007 11:55:20 +0100
+  [ Sven Arvidsson ]
+  * Register as gnome-text-editor in the alternatives system;
+    thanks roktas. (Closes: #418296)
+
+ -- Sven Arvidsson <sa at whiz.se>  Sun, 20 May 2007 16:47:22 +0200
 
 leafpad (0.8.9-2) unstable; urgency=low
 

Added: packages/unstable/leafpad/debian/postinst
URL: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/leafpad/debian/postinst?rev=11082&op=file
==============================================================================
--- packages/unstable/leafpad/debian/postinst (added)
+++ packages/unstable/leafpad/debian/postinst Sun May 20 14:50:32 2007
@@ -1,0 +1,27 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+configure)
+	# Register leafpad as a gnome-text-editor in the alternatives system.
+	update-alternatives \
+		--install /usr/bin/gnome-text-editor \
+			gnome-text-editor /usr/bin/leafpad 40 \
+		--slave /usr/share/man/man1/gnome-text-editor.1.gz \
+			gnome-text-editor.1.gz /usr/share/man/man1/leafpad.1.gz
+	;;
+
+abort-upgrade|abort-remove|abort-deconfigure)
+	;;
+
+*)
+	echo "postinst called with unknown argument \`$1'" >&2
+	exit 0
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0
+

Added: packages/unstable/leafpad/debian/prerm
URL: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/leafpad/debian/prerm?rev=11082&op=file
==============================================================================
--- packages/unstable/leafpad/debian/prerm (added)
+++ packages/unstable/leafpad/debian/prerm Sun May 20 14:50:32 2007
@@ -1,0 +1,23 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+remove|upgrade|deconfigure)
+	# Unregister leafpad as a gnome-text-editor in the alternatives system.
+	update-alternatives --remove gnome-text-editor /usr/bin/leafpad ||:
+	;;
+
+failed-upgrade)
+	;;
+
+*)
+	echo "prerm called with unknown argument \`$1'" >&2
+	exit 0
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0
+




More information about the pkg-gnome-commits mailing list